/*
	Copyright 2011
				developer: Jaime Fernández Vera (web: http://web.me.com/eludens email: eludens@mac.com)
				designer: Daniel Gasco Rodríguez (web: http://www.dgarte.com email:dgarte@mac.com)
	All rights reserved.
*/


include('raeutilfunctions.js');

var g_currentWidgetVersion = 0.97;
var g_widgetWidth = 358;
var g_minMFrmHeight = 0;
var g_maxMFrmHeight = 291;
var g_recallPanelHeight = 0;

var paths = "Resources/Images/";
var pathl = "Resources/Images/FrontFrame/";

var frameImages = new Array();
frameImages[0] = "topRectangleShape_left.png";
frameImages[1] = "topRectangleShape_middle.png";
frameImages[2] = "topRectangleShape_right.png";
frameImages[3] = "bottomRectangleShape_left.png";
frameImages[4] = "bottomRectangleShape_middle.png";
frameImages[5] = "bottomRectangleShape_right.png";
frameImages[6] = "centerRectangleShape_left.png";
frameImages[7] = "centerRectangleShape_middle.png";
frameImages[8] = "centerRectangleShape_right.png";


var uiImages = new Array();
uiImages[0] = "minButton.png";
uiImages[1] = "nvB.png";
uiImages[2] = "nvF.png";

var imageShield = new Image();
imageShield.src = "Resources/Images/shield.png";
imageShield.tooltip ="Maximizar";
imageShield.onClick = maximizeFront;

minFrame.appendChild(imageShield);

var imagetl = new Image();
imagetl.src = pathl + frameImages[0];

var imagetm = new Image();
imagetm.src = pathl + frameImages[1];
imagetm.width = 315;
imagetm.hOffset = imagetl.width;

var imagetr = new Image();
imagetr.src = pathl + frameImages[2];
imagetr.hOffset = imagetl.width + imagetm.width;


var imagebl = new Image();
imagebl.src = pathl + frameImages[3];

var imagebm = new Image();
imagebm.src = pathl + frameImages[4];
imagebm.width = 331;
imagebm.hOffset = imagebl.width;

var imagebr = new Image();
imagebr.src = pathl + frameImages[5];
imagebr.hOffset = imagebl.width + imagebm.width;
    

var imagecl = new Image();
imagecl.src = pathl + frameImages[6];
imagecl.height = middleFrame.height;
imagecl.width = 14;
imagecl.vOffset = topFrame.height;

var imagecm = new Image();
imagecm.src = pathl + frameImages[7];
imagecm.height =  middleFrame.height;
imagecm.width = g_widgetWidth - 28 ;
imagecm.hOffset =  imagecl.width;
imagecm.vOffset = topFrame.height;

var imagecr = new Image();
imagecr.src = pathl + frameImages[8];
imagecr.height =  middleFrame.height;
imagecr.width = 14;
imagecr.hOffset = imagecl.width + imagecm.width;
imagecr.vOffset = topFrame.height;

topFrame.appendChild(imagetl);
topFrame.appendChild(imagetm);
topFrame.appendChild(imagetr);

middleFrame.appendChild(imagecl);
middleFrame.appendChild(imagecm);
middleFrame.appendChild(imagecr);

bottomFrame.appendChild(imagebl);
bottomFrame.appendChild(imagebm);
bottomFrame.appendChild(imagebr);


var imageMinBotton = new Image();
imageMinBotton.src = pathl + uiImages[0];
imageMinBotton.hOffset = 16;
imageMinBotton.vOffset = 10;
imageMinBotton.onMouseEnter = function() { this.opacity = 225; };
imageMinBotton.onMouseExit = function() { this.opacity = 255; };
imageMinBotton.tooltip ="Minimizar";
imageMinBotton.onClick = minimizeFront;

topFrame.appendChild(imageMinBotton);

var imageNavigationB = new Image();
imageNavigationB.src = pathl + uiImages[1];
imageNavigationB.hOffset = 42;
imageNavigationB.vOffset = 11;
imageNavigationB.opacity = 70;
imageNavigationB.tooltip = "Lema anterior";

topFrame.appendChild(imageNavigationB);

var imageNavigationF = new Image();
imageNavigationF.src = pathl + uiImages[2];
imageNavigationF.hOffset = 61;
imageNavigationF.vOffset = 11;
imageNavigationF.opacity = 70;
imageNavigationF.tooltip = "Lema siguiente";

topFrame.appendChild(imageNavigationF);

var imagePopUpDict = new Image();
imagePopUpDict.src = pathl+ "popUp.png";
imagePopUpDict.vOffset = 11;
imagePopUpDict.hOffset = 80;
imagePopUpDict.onMouseDown = popUpDicts;
imagePopUpDict.tooltip = setToolTip(preferences.dictionaryType.value);



topFrame.appendChild(imagePopUpDict);

var textPopUpDict = new Text();
textPopUpDict.data = preferences.dictionaryType.value;
textPopUpDict.hOffset = 110;
textPopUpDict.vOffset = 26;
textPopUpDict.style.color = "rgb(255, 255, 255)";

topFrame.appendChild(textPopUpDict);


var imageSearchL = new Image();
imageSearchL.src = pathl + "lsng.png";
imageSearchL.hOffset = 185;
imageSearchL.vOffset = 9;
imageSearchL.tooltip = "Búsquedas recientes";
imageSearchL.onMouseDown = recentSearches;

topFrame.appendChild(imageSearchL);

var imageSearchC = new Image();
imageSearchC.src = pathl + "csng.png";
imageSearchC.width =120;
imageSearchC.hOffset = 209;
imageSearchC.vOffset = 9;

topFrame.appendChild(imageSearchC);

var imageSearchR = new Image();
imageSearchR.src = pathl + "rsng.png";
imageSearchR.hOffset = 329;
imageSearchR.vOffset = 9;

topFrame.appendChild(imageSearchR);

var textareaSearch = new TextArea();
textareaSearch.hOffset = 209;
textareaSearch.vOffset = 14;
textareaSearch.width = 110;
textareaSearch.style.fontFamily = "Gill, Helvetica, sans-serif"; 
textareaSearch.style.fontSize = "12px";
textareaSearch.style.fontColor = "rgb(0, 0, 0)";
textareaSearch.lines = 1;
textareaSearch.scrollbar = false;
textareaSearch.onGainFocus = searchFieldGlow;
textareaSearch.onLoseFocus = searchFieldWan;
textareaSearch.onKeyDown = function (){searchWord();searchFieldGlow();};
textareaSearch.onMouseDown = function (){searchFieldGlow();};

topFrame.appendChild(textareaSearch);

var textBannerWODD = new Text();
textBannerWODD.hOffset = imageMinBotton.hOffset;
textBannerWODD.vOffset = imagebm.height/2;
textBannerWODD.style.color = "rgb(102, 204, 255)";
textBannerWODD.tooltip = "Palabra del día del Diccionario panhispánico de dudas";


var textWODD = new Text();
textWODD.hOffset = textBannerWODD.hOffset + 90;
textWODD.vOffset = textBannerWODD.vOffset;
textWODD.style.color = "rgb(255, 255, 255)";
textWODD.tooltip = "Palabra del día del Diccionario panhispánico de dudas";
textWODD.onMouseEnter = function() { this.opacity = 127; };
textWODD.onMouseExit = function() { this.opacity = 255; };
textWODD.onClick = function (){searchWordDPD(textWODD.data);textareaSearch.data = textWODD.data;textareaSearch.focus();textareaSearch.select(0,-1);};

bottomFrame.appendChild(textBannerWODD);
bottomFrame.appendChild(textWODD);

var imageNewVersion = new Image();
imageNewVersion.src = pathl + "newVersion.png";
imageNewVersion.hOffset = 238;
imageNewVersion.vOffset = textBannerWODD.vOffset - 18;
imageNewVersion.visible = false;
imageNewVersion.tooltip = "Ir a la página de descarga";
imageNewVersion.onMouseEnter = function() { this.opacity = 127; };
imageNewVersion.onMouseExit = function() { this.opacity = 255; };
imageNewVersion.onClick = function (){openURL("http://web.me.com/eludens/proyectos/htmls/raeutiles.html")};

bottomFrame.appendChild(imageNewVersion);

var imageActivityStop = new Image();
imageActivityStop.src = pathl + "as.png"
imageActivityStop.opacity = 127;
imageActivityStop.visible = false;
imageActivityStop.hOffset = 327;
imageActivityStop.vOffset = 15;
imageActivityStop.onMouseUp = function() { this.opacity = 127; };
imageActivityStop.onMouseDown = function() { this.opacity = 255; };
imageActivityStop.onClick = activityStop;

topFrame.appendChild(imageActivityStop);